Skip to main content

Delete an asset from a terminal theme

delete/companies/{companyId}/terminalThemes/{id}/assets

Deletes a single asset from a terminal theme owned by the company specified in the path. To identify the asset you want to remove, you must use the query parameters type and model.

When the type is logo, deleting the asset is blocked if the theme owner is not allowed to edit logos.

To make this request, your API credential must have the following role:

  • Management API - Terminal themes read and write
Endpoint destination URL
https://management-test.adyen.com/v3/companies/{companyId}/terminalThemes/{id}/assets
Click to copy
modelstringRequired

The Android terminal model that the asset is for. Use All only if the type is logo. For every other screen type specify a single Android terminal model such as AMS1.

typestringRequired

The screen type or screen element that the asset is for:

  • logo: your logo. Only supported if model is All.
  • homeScreen: the default background screen.
  • idleScreen: a screensaver shown when the terminal is inactive. Only supported if model is SFO1 or M450.
  • afterPaymentScreen: a screen shown after the payment is completed.
  • shopperEngagementScreen: a screen shown during a shopper engagement request. Only supported if model is SFO1 or M450.
idstringRequired

The unique identifier of the terminal theme.

companyIdstringRequired

The unique identifier of the company account.

After submitting a call, you receive a response message to inform you that your request was received and processed.

Depending on the HTTP status code of the response message, it is helpful to build some logic to handle any errors that a request or the system may return.

HTTP Responses

  • 204 - No Content

    Asset deleted

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

  • 422

    Unprocessable Entity

  • 500

    Internal Server Error